summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 23fc63b)
raw | patch | inline | side by side (parent: 23fc63b)
author | Kai Ruemmler <kai.ruemmler@gmx.net> | |
Tue, 8 Nov 2005 10:44:33 +0000 (11:44 +0100) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 8 Nov 2005 19:26:10 +0000 (11:26 -0800) |
This adds option '-d' to git-tag.sh and documents it.
Signed-off-by: Kai Ruemmler <kai.ruemmler@gmx.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Kai Ruemmler <kai.ruemmler@gmx.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Documentation/git-tag.txt | patch | blob | history | |
git-tag.sh | patch | blob | history |
index 3984812cecc4453b4f3fb84f017f3cd4c50751cb..95de436c10d3b43b5c5eac719938005b11ead739 100644 (file)
SYNOPSIS
--------
-'git-tag' [-a | -s | -u <key-id>] [-f] [-m <msg>] <name> [<head>]
+'git-tag' [-a | -s | -u <key-id>] [-f | -d] [-m <msg>] <name> [<head>]
DESCRIPTION
-----------
committer identity for the current user is used to find the
GnuPG key for signing.
+`-d <tag>` deletes the tag.
+
Author
------
diff --git a/git-tag.sh b/git-tag.sh
index 6130904a94ddeffb15b1b10ded8336c67112c12e..13759453077b025d7815354c61269c2a9847e68f 100755 (executable)
--- a/git-tag.sh
+++ b/git-tag.sh
. git-sh-setup || die "Not a git archive"
usage () {
- echo >&2 "Usage: git-tag [-a | -s | -u <key-id>] [-f] [-m <msg>] <tagname> [<head>]"
+ echo >&2 "Usage: git-tag [-a | -s | -u <key-id>] [-f | -d] [-m <msg>] <tagname> [<head>]"
exit 1
}
shift
username="$1"
;;
+ -d)
+ shift
+ tag_name="$1"
+ rm "$GIT_DIR/refs/tags/$tag_name" && \
+ echo "Deleted tag $tag_name."
+ exit $?
+ ;;
-*)
usage
;;